# SolrQuery::getHighlightAlternateField

(PECL solr >= 0.9.2)

SolrQuery::getHighlightAlternateField — Returns the highlight field to use as backup or default

### Description

public SolrQuery::getHighlightAlternateField ([ string `$field_override` ] ) : string

Returns the highlight field to use as backup or default. It accepts an optional override.

### Parameters

`field_override`

  The name of the field

### Return Values

Returns a string on success and `NULL` if not set.